Open CASCADE Technology: StepBasic_Array1OfOrganization Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepBasic_Array1OfOrganization Class Reference

`#include <StepBasic_Array1OfOrganization.hxx>`

## Public Member Functions
| StepBasic_Array1OfOrganization (const Standard_Integer Low, const Standard_Integer Up)
| StepBasic_Array1OfOrganization (const Handle< StepBasic_Organization > &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const Handle< StepBasic_Organization > &V)
void | Destroy ()
| ~StepBasic_Array1OfOrganization ()
Standard_Boolean | IsAllocated () const
const StepBasic_Array1OfOrganization & | Assign (const StepBasic_Array1OfOrganization &Other)
const StepBasic_Array1OfOrganization & | operator= (const StepBasic_Array1OfOrganization &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle< StepBasic_Organization > &Value)
const Handle < StepBasic_Organization > & | Value (const Standard_Integer Index) const
const Handle < StepBasic_Organization > & | operator() (const Standard_Integer Index) const
Handle< StepBasic_Organization > & | ChangeValue (const Standard_Integer Index)
Handle< StepBasic_Organization > & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

StepBasic_Array1OfOrganization::StepBasic_Array1OfOrganization | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepBasic_Array1OfOrganization::StepBasic_Array1OfOrganization | ( | const Handle< StepBasic_Organization > & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepBasic_Array1OfOrganization::~StepBasic_Array1OfOrganization | ( |  | ) |
| inline

## Member Function Documentation

const StepBasic_Array1OfOrganization& StepBasic_Array1OfOrganization::Assign | ( | const StepBasic_Array1OfOrganization & | Other | ) |

Handle< StepBasic_Organization >& StepBasic_Array1OfOrganization::ChangeValue | ( | const Standard_Integer | Index | ) |

void StepBasic_Array1OfOrganization::Destroy | ( |  | ) |

void StepBasic_Array1OfOrganization::Init | ( | const Handle< StepBasic_Organization > & | V | ) |

Standard_Boolean StepBasic_Array1OfOrganization::IsAllocated | ( |  | ) | const

Standard_Integer StepBasic_Array1OfOrganization::Length | ( |  | ) | const

Standard_Integer StepBasic_Array1OfOrganization::Lower | ( |  | ) | const

const Handle< StepBasic_Organization >& StepBasic_Array1OfOrganization::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Handle< StepBasic_Organization >& StepBasic_Array1OfOrganization::operator() | ( | const Standard_Integer | Index | ) |
| inline

const StepBasic_Array1OfOrganization& StepBasic_Array1OfOrganization::operator= | ( | const StepBasic_Array1OfOrganization & | Other | ) |
| inline

void StepBasic_Array1OfOrganization::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< StepBasic_Organization > & | Value
| ) |  |

Standard_Integer StepBasic_Array1OfOrganization::Upper | ( |  | ) | const

const Handle< StepBasic_Organization >& StepBasic_Array1OfOrganization::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- StepBasic_Array1OfOrganization.hxx